%define nm_version          %(echo %{version}|cut -d. -f1,2)
%define dbus_version        1.1
%define gtk3_version        3.0
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	NetworkManager VPN integration for PPTP
Name:		networkmanager-pptp
Epoch:		1
Version:	1.2.4
Release:	%mkrel 1
License:	GPLv2+
URL:		https://wiki.gnome.org/Projects/NetworkManager
Group:		System/Base
# How to build the source package:
# - Check out NetworkManager from Gnome SVN, currently trunk is used
# - cd NetworkManager/vpn-daemons/pptp
# - ./autogen.sh --prefix=/usr --sysconfdir=/etc
# - make distclean
# - cd ..
# - mv pptp NetworkManager-pptp-%{version}
# - tar cvfz NetworkManager-pptp-%{version}.tar.gz NetworkManager-pptp-%{version}
Source:		https://download.gnome.org/sources/NetworkManager-pptp/%{url_ver}/NetworkManager-pptp-%version.tar.xz
# Source:		http://mirrors.ircam.fr/pub/GNOME/sources/NetworkManager-pptp/%{url_ver}/NetworkManager-pptp-%version.tar.xz
BuildRequires:	pkgconfig(gtk+-3.0) >= %{gtk3_version}
BuildRequires:	pkgconfig(dbus-1) >= %{dbus_version}
BuildRequires:	pkgconfig(libnm-util) >= %{nm_version}
BuildRequires:	pkgconfig(libnm-glib) >= %{nm_version}
BuildRequires:	pkgconfig(libnm-glib-vpn) >= %{nm_version}
BuildRequires:	pkgconfig(libnma) >= %{nm_version}
BuildRequires:	pkgconfig(libnm-gtk)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libsecret-unstable)
BuildRequires:	perl(XML::Parser)
BuildRequires:	libtool
BuildRequires:	intltool
BuildRequires:	perl
BuildRequires:	gnome-common
BuildRequires:	ppp-devel
BuildRequires:	gettext-devel
Requires:	NetworkManager >= %{nm_version}
Requires:	gnome-keyring
Requires:	pptp-linux

%description
This package contains software for integrating the PPTP VPN
with NetworkManager and the GNOME desktop.

%prep
%setup -q -n NetworkManager-pptp-%{version}

%build
if [ ! -f configure ]; then
  ./autogen.sh
fi
%configure2_5x --disable-static --disable-dependency-tracking
%make CFLAGS="%{optflags} -Wno-error=deprecated-declarations"

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang NetworkManager-pptp

%files -f NetworkManager-pptp.lang
%doc AUTHORS ChangeLog README
%{_libdir}/NetworkManager/libnm-pptp-properties.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp.so
%{_libdir}/NetworkManager/libnm-vpn-plugin-pptp-editor.so
%{_libdir}/pppd/*/nm-pptp-pppd-plugin.so
%{_libexecdir}/nm-pptp-auth-dialog
%{_libexecdir}/nm-pptp-service
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/nm-pptp-service.conf
%config(noreplace) %{_sysconfdir}/NetworkManager/VPN/nm-pptp-service.name
%{_datadir}/appdata/network-manager-pptp.metainfo.xml
%dir %{_datadir}/gnome-vpn-properties/pptp
%{_datadir}/gnome-vpn-properties/pptp/nm-pptp-dialog.ui
%{_prefix}/lib/NetworkManager/VPN/nm-pptp-service.name


%changelog
* Mon Oct 03 2016 ovitters <ovitters> 1:1.2.4-1.mga6
+ Revision: 1058287
- new version 1.2.4

* Thu May 26 2016 ovitters <ovitters> 1:1.2.2-1.mga6
+ Revision: 1018685
- new version 1.2.2

* Thu Apr 21 2016 ovitters <ovitters> 1:1.2.0-1.mga6
+ Revision: 1003914
- new version 1.2.0

* Wed Apr 06 2016 ovitters <ovitters> 1:1.1.93-1.mga6
+ Revision: 998913
- new version 1.1.93
- new version 1.1.92
- new version 1.1.91
- new version 1.1.90

* Fri Nov 20 2015 ovitters <ovitters> 1:1.0.8-1.mga6
+ Revision: 904520
- new version 1.0.8

* Thu Aug 27 2015 ovitters <ovitters> 1:1.0.6-1.mga6
+ Revision: 870234
- new version 1.0.6

* Mon May 11 2015 tmb <tmb> 1:1.0.2-2.mga5
+ Revision: 821744
- submit to release

* Thu May 07 2015 shlomif <shlomif> 1:1.0.2-1.mga5
+ Revision: 821403
- New version 1.0.2 (MGA#15682)

* Thu Feb 05 2015 ovitters <ovitters> 1:1.0.0-1.mga5
+ Revision: 813587
- new version 1.0.0
- fix source url

* Wed Oct 15 2014 umeabot <umeabot> 1:0.9.10.0-3.mga5
+ Revision: 740070
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.9.10.0-2.mga5
+ Revision: 682871
- Mageia 5 Mass Rebuild

* Wed Jul 09 2014 ovitters <ovitters> 1:0.9.10.0-1.mga5
+ Revision: 650815
- new version 0.9.10.0

* Fri Jul 04 2014 ovitters <ovitters> 1:0.9.8.4-4.mga5
+ Revision: 643127
- update url

* Sat Apr 05 2014 alexl <alexl> 1:0.9.8.4-3.mga5
+ Revision: 611963
- clean spec
- use pkgconfig()
- move unneeded Requires
- move *.la

* Sat Oct 19 2013 umeabot <umeabot> 1:0.9.8.4-2.mga4
+ Revision: 534669
- Mageia 4 Mass Rebuild

* Fri Sep 13 2013 ovitters <ovitters> 1:0.9.8.4-1.mga4
+ Revision: 478588
- new version 0.9.8.4

* Fri Jun 07 2013 ovitters <ovitters> 1:0.9.8.2-1.mga4
+ Revision: 440343
- new version 0.9.8.2

* Wed Feb 20 2013 ovitters <ovitters> 1:0.9.8.0-1.mga3
+ Revision: 399583
- new version 0.9.8.0

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 guillomovitch <guillomovitch> 1:0.9.6.0-1.mga3
+ Revision: 282844
- disable warnings preventing the build

  + ovitters <ovitters>
    - new version 0.9.6.0
    - new version 0.9.5.95

* Sat Mar 24 2012 ovitters <ovitters> 1:0.9.4.0-1.mga2
+ Revision: 225995
- new version 0.9.4.0
- new version 0.9.3.995
- clean spec

  + mikala <mikala>
    - Update tarball to 0.9.0
    - use xz tarball

* Tue Jun 14 2011 mikala <mikala> 1:0.8.999-1.mga2
+ Revision: 106238
- Update tarball to 0.8.999
- Fix BuildRequires

* Thu Apr 21 2011 mikala <mikala> 1:0.8.4-1.mga1
+ Revision: 89454
- Update tarball to 0.8.4

* Thu Apr 14 2011 mikala <mikala> 1:0.8.3.999-1.mga1
+ Revision: 85269
- Update tarball

* Tue Mar 29 2011 mikala <mikala> 1:0.8.2-1.mga1
+ Revision: 78831
- imported package networkmanager-pptp

